# class NetStatusEvent

#### package openfl.events

#### extends Event

Available on all platforms

### Constructor

###

`new (type:String, bubbles:Bool = false, cancelable:Bool = false, ?info:Dynamic)`

### Variables

###

`info:Dynamic`

### Static variables

###

`staticinline read onlyNET_STATUS:String = "netStatus"`

### Inherited Variables

#### Defined by Event

###

`read onlybubbles:Bool`

Indicates whether an event is a bubbling event. If the event can bubble, this value is `true`; otherwise it is `false`.

When an event occurs, it moves through the three phases of the event flow: the capture phase, which flows from the top of the display list hierarchy to the node just before the target node; the target phase, which comprises the target node; and the bubbling phase, which flows from the node subsequent to the target node back up the display list hierarchy.

Some events, such as the `activate` and `unload` events, do not have a bubbling phase. The `bubbles` property has a value of `false` for events that do not have a bubbling phase.

###

`read onlycancelable:Bool`

Indicates whether the behavior associated with the event can be prevented. If the behavior can be canceled, this value is `true`; otherwise it is `false`.

###

`read onlycurrentTarget:Any`

The object that is actively processing the Event object with an event listener. For example, if a user clicks an OK button, the current target could be the node containing that button or one of its ancestors that has registered an event listener for that event.

###

`read onlyeventPhase:EventPhase`

The current phase in the event flow. This property can contain the following numeric values:

- The capture phase(`EventPhase.CAPTURING_PHASE`).
- The target phase(`EventPhase.AT_TARGET`).
- The bubbling phase(`EventPhase.BUBBLING_PHASE`).

###

`read onlytarget:Any`

The event target. This property contains the target node. For example, if a user clicks an OK button, the target node is the display list node containing that button.

###

`read onlytype:String`

The type of event. The type is case-sensitive.

### Inherited Methods

#### Defined by Event

###

`clone ():Event`

Duplicates an instance of an Event subclass.

Returns a new Event object that is a copy of the original instance of the Event object. You do not normally call `clone()`; the EventDispatcher class calls it automatically when you redispatch an event - that is, when you call `dispatchEvent(event)` from a handler that is handling `event`.

The new Event object includes all the properties of the original.

When creating your own custom Event class, you must override the inherited `Event.clone()` method in order for it to duplicate the properties of your custom class. If you do not set all the properties that you add in your event subclass, those properties will not have the correct values when listeners handle the redispatched event.

In this example, `PingEvent` is a subclass of `Event` and therefore implements its own version of `clone()`.

Returns:

A new Event object that is identical to the original.

###

`formatToString (className:String, ?p1:Dynamic, ?p2:Dynamic, ?p3:Dynamic, ?p4:Dynamic, ?p5:Dynamic):String`

###

`isDefaultPrevented ():Bool`

Checks whether the `preventDefault()` method has been called on the event. If the `preventDefault()` method has been called, returns `true`; otherwise, returns `false`.

Returns:

If `preventDefault()` has been called, returns `true`; otherwise, returns `false`.

###

`preventDefault ():Void`

Cancels an event's default behavior if that behavior can be canceled. Many events have associated behaviors that are carried out by default. For example, if a user types a character into a text field, the default behavior is that the character is displayed in the text field. Because the `TextEvent.TEXT_INPUT` event's default behavior can be canceled, you can use the `preventDefault()` method to prevent the character from appearing. An example of a behavior that is not cancelable is the default behavior associated with the Event.REMOVED event, which is generated whenever Flash Player is about to remove a display object from the display list. The default behavior (removing the element) cannot be canceled, so the `preventDefault()` method has no effect on this default behavior. You can use the `Event.cancelable` property to check whether you can prevent the default behavior associated with a particular event. If the value of `Event.cancelable` is true, then `preventDefault()` can be used to cancel the event; otherwise, `preventDefault()` has no effect.

###

`stopImmediatePropagation ():Void`

Prevents processing of any event listeners in the current node and any subsequent nodes in the event flow. This method takes effect immediately, and it affects event listeners in the current node. In contrast, the `stopPropagation()` method doesn't take effect until all the event listeners in the current node finish processing.

Note: This method does not cancel the behavior associated with this event; see `preventDefault()` for that functionality.

###

`stopPropagation ():Void`

Prevents processing of any event listeners in nodes subsequent to the current node in the event flow. This method does not affect any event listeners in the current node(`currentTarget`). In contrast, the `stopImmediatePropagation()` method prevents processing of event listeners in both the current node and subsequent nodes. Additional calls to this method have no effect. This method can be called in any phase of the event flow.

Note: This method does not cancel the behavior associated with this event; see `preventDefault()` for that functionality.

###

`toString ():String`

Returns a string containing all the properties of the Event object. The string is in the following format:

`[Event type=_value_ bubbles=_value_ cancelable=_value_]`

Returns:

A string containing all the properties of the Event object.